netatalk: afp_options Struct Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
afp_options Struct Reference

`#include <globals.h>`

## Data Fields
int | connections
int | tickleval
int | timeout
int | flags
int | dircachesize
int | dircache_mode
int | dircache_validation_freq
int | dircache_rfork_budget
int | dircache_rfork_maxentry
int | sleep
int | disconnected
unsigned int | tcp_sndbuf
unsigned int | tcp_rcvbuf
unsigned char | passwdbits
unsigned char | passwdminlen
uint32_t | server_quantum
int | dsireadbuf
char * | hostname
char * | zone
struct at_addr | ddpaddr
char * | listen
char * | interfaces
char * | port
char * | Cnid_srv
char * | Cnid_port
char * | configfile
char * | uampath
char * | fqdn
char * | sigconffile
char * | uuidconf
char * | guest
char * | loginmesg
char * | keyfile
char * | passwdfile
char * | srppasswdfile
char * | extmapfile
char * | uamlist
char * | signatureopt
unsigned char | signature [16]
char * | k5service
char * | k5realm
char * | k5keytab
size_t | k5principal_buflen
char * | k5principal
char * | unixcodepage
char * | maccodepage
char * | volcodepage
charset_t | maccharset
charset_t | unixcharset
mode_t | umask
mode_t | save_mask
gid_t | admingid
bool | afpstats_group
gid_t | afpstats_gid
bool | force_user
uid_t | force_uid
bool | force_group
gid_t | force_gid
int | volnamelen
char * | ntdomain
char * | ntseparator
char * | addomain
char * | logconfig
char * | logfile
bool | log_us_timestamp
char * | legacyicon
char * | mimicmodel
char * | servername
char * | ignored_attr
int | splice_size
char * | cnid_mysql_host
char * | cnid_mysql_user
char * | cnid_mysql_pw
char * | cnid_mysql_db
struct afp_volume_name | volfile
uint64_t | sparql_limit

## Field Documentation

## ◆ addomain

char * afp_options::addomain

## ◆ admingid

gid_t afp_options::admingid

## ◆ afpstats_gid

gid_t afp_options::afpstats_gid

## ◆ afpstats_group

bool afp_options::afpstats_group

## ◆ cnid_mysql_db

char* afp_options::cnid_mysql_db

## ◆ cnid_mysql_host

char* afp_options::cnid_mysql_host

## ◆ cnid_mysql_pw

char* afp_options::cnid_mysql_pw

## ◆ cnid_mysql_user

char* afp_options::cnid_mysql_user

## ◆ Cnid_port

char * afp_options::Cnid_port

## ◆ Cnid_srv

char* afp_options::Cnid_srv

## ◆ configfile

char* afp_options::configfile

## ◆ connections

int afp_options::connections

Maximum number of possible AFP connections

## ◆ ddpaddr

struct at_addr afp_options::ddpaddr

## ◆ dircache_mode

int afp_options::dircache_mode

Directory cache mode: 0=LRU, 1=ARC

## ◆ dircache_rfork_budget

int afp_options::dircache_rfork_budget

Total rfork cache memory budget (KB, 0=disabled)

## ◆ dircache_rfork_maxentry

int afp_options::dircache_rfork_maxentry

Max rfork size to cache per entry (KB)

## ◆ dircache_validation_freq

int afp_options::dircache_validation_freq

Validate every Nth access (default 1)

## ◆ dircachesize

int afp_options::dircachesize

## ◆ disconnected

int afp_options::disconnected

Maximum time in disconnected state (in tickles)

## ◆ dsireadbuf

int afp_options::dsireadbuf

scale factor for sizefof(dsi->buffer) = server_quantum * dsireadbuf

## ◆ extmapfile

char * afp_options::extmapfile

## ◆ flags

int afp_options::flags

## ◆ force_gid

gid_t afp_options::force_gid

## ◆ force_group

bool afp_options::force_group

## ◆ force_uid

uid_t afp_options::force_uid

## ◆ force_user

bool afp_options::force_user

## ◆ fqdn

char * afp_options::fqdn

## ◆ guest

char* afp_options::guest

## ◆ hostname

char* afp_options::hostname

## ◆ ignored_attr

char* afp_options::ignored_attr

## ◆ interfaces

char * afp_options::interfaces

## ◆ k5keytab

char * afp_options::k5keytab

## ◆ k5principal

char* afp_options::k5principal

## ◆ k5principal_buflen

size_t afp_options::k5principal_buflen

## ◆ k5realm

char * afp_options::k5realm

## ◆ k5service

char* afp_options::k5service

## ◆ keyfile

char * afp_options::keyfile

## ◆ legacyicon

char* afp_options::legacyicon

## ◆ listen

char* afp_options::listen

## ◆ log_us_timestamp

bool afp_options::log_us_timestamp

## ◆ logconfig

char* afp_options::logconfig

## ◆ logfile

char* afp_options::logfile

## ◆ loginmesg

char * afp_options::loginmesg

## ◆ maccharset

charset_t afp_options::maccharset

## ◆ maccodepage

char * afp_options::maccodepage

## ◆ mimicmodel

char* afp_options::mimicmodel

## ◆ ntdomain

char* afp_options::ntdomain

## ◆ ntseparator

char * afp_options::ntseparator

## ◆ passwdbits

unsigned char afp_options::passwdbits

## ◆ passwdfile

char * afp_options::passwdfile

## ◆ passwdminlen

unsigned char afp_options::passwdminlen

## ◆ port

char * afp_options::port

## ◆ save_mask

mode_t afp_options::save_mask

## ◆ server_quantum

uint32_t afp_options::server_quantum

## ◆ servername

char* afp_options::servername

## ◆ sigconffile

char* afp_options::sigconffile

## ◆ signature

unsigned char afp_options::signature[16]

## ◆ signatureopt

char* afp_options::signatureopt

## ◆ sleep

int afp_options::sleep

Maximum time allowed to sleep (in tickles)

## ◆ sparql_limit

uint64_t afp_options::sparql_limit

## ◆ splice_size

int afp_options::splice_size

## ◆ srppasswdfile

char * afp_options::srppasswdfile

## ◆ tcp_rcvbuf

unsigned int afp_options::tcp_rcvbuf

## ◆ tcp_sndbuf

unsigned int afp_options::tcp_sndbuf

## ◆ tickleval

int afp_options::tickleval

## ◆ timeout

int afp_options::timeout

## ◆ uamlist

char* afp_options::uamlist

## ◆ uampath

char* afp_options::uampath

## ◆ umask

mode_t afp_options::umask

## ◆ unixcharset

charset_t afp_options::unixcharset

## ◆ unixcodepage

char* afp_options::unixcodepage

## ◆ uuidconf

char* afp_options::uuidconf

## ◆ volcodepage

char * afp_options::volcodepage

## ◆ volfile

struct afp_volume_name afp_options::volfile

## ◆ volnamelen

int afp_options::volnamelen

## ◆ zone

char* afp_options::zone

The documentation for this struct was generated from the following file:

- globals.h